#!/bin/bash
nms__ip=192.168.0.88
nms__gw=192.168.0.1
nmsmask=255.255.255.0
nmshwad=78:5c:72:a2:fb:75
host_ip=192.168.1.100
olt__ip=192.168.1.101
host_port=0x3721
olt__port=0x3721
inv__ip=0.0.0.0
nms__str=7000

model__str=TK7000

hostname ThinK
ifconfig lo 127.0.0.1

AUTOREBOOT=0
BOOTCFG=0
SYSALARMMEM=3000

insmod /mnt/bin/macb_untag.ko
# Now because RTL8306 eat 4bytes, we set the mtu from default 1500 to 1496
# RTL8306 default max frame is 1536, we can change it as 1552 from pin114 
# or setting phy0 reg18 bit14 page 0/1 as '0' to use mtu 1500
#ifconfig eth0 hw ether ${nmshwad} mtu 1496
ifconfig eth0 up mtu 1496
if [ -n ${inv__ip} ] && [ ${inv__ip} != "0.0.0.0" ];then
  ifconfig eth0 ${inv__ip} netmask ${nmsmask} up
else
  ifconfig eth0 ${inv__ip} up
fi
/bin/mount -t proc proc /proc
/bin/mount -t sysfs sysfs /sys
/bin/mount -t tmpfs tmpfs /tmp
/bin/mount -t tmpfs tmpfs /var
/bin/mount -t devpts devpts /dev/pts
mkdir /tmp/db /var/service /var/config /var/tmp /var/log /var/run /var/lock /var/run/quagga /var/spool
mkdir /var/empty /var/snmp /var/lock/subsys /var/adm /var/empty/sshd /var/log/quagga /var/spool/cron
mkdir /var/spool/cron/crontabs
mkdir /var/net-snmp
touch /var/lock/subsys/xinetd /var/run/utmp /var/run/wtmp /var/log/wtmp
chmod 666 /var/run/utmp /var/run/wtmp /var/log/wtmp /var/log/quagga
chmod 777 /var/run/quagga
vconfig add eth0 1;ifconfig eth0.1 ${host_ip}
vconfig add eth0 2;ifconfig eth0.2 ${host_ip}
vconfig add eth0 3;ifconfig eth0.3 ${host_ip}
vconfig add eth0 4;ifconfig eth0.4 ${host_ip}
vconfig add eth0 5;ifconfig eth0.5 ${host_ip}
vconfig add eth0 6;ifconfig eth0.6 ${host_ip}
vconfig add eth0 7;ifconfig eth0.7 ${host_ip}
vconfig add eth0 8;ifconfig eth0.8 ${host_ip}
vconfig add eth0 9;ifconfig eth0.9 ${nms__ip}
#if [ -n ${nms__gw} ] && [ ${nms__gw} != "0.0.0.0" ];then
#  route add default gw ${nms__gw} netmask 0.0.0.0 eth0.9
#else
#  route add default netmask 0.0.0.0 eth0.9
#fi
/bin/mii -f /etc/switch.conf
#/bin/mii nontk
#/bin/rm -rf /mnt/db/__db*
if [ ! -d /mnt/syslog ];then
  mkdir /mnt/syslog
fi
/sbin/syslogd
/sbin/klogd

mkdir -p /mnt/bin
#[ -f /mnt/bin/snmpd ] || cp -a /bin/snmpd /mnt/bin/snmpd
#/mnt/bin/snmpd -p /tmp/snmpd.pid -i eth0.9 -r -c /mnt/snmpd.conf -Lsd
#/mnt/bin/wdt_snmp
#/usr/sbin/hostapd /mnt/wpa/wired.conf > /dev/null &
/usr/sbin/xinetd -stayalive -reuse -pidfile /tmp/xinetd.pid;
/usr/sbin/crond > /dev/null
/usr/bin/crontab /mnt/crontab
#/usr/sbin/ntpd -p 192.168.2.105
/sbin/watchdog /dev/watchdog
#/bin/zebra -d -f /mnt/zebra.conf
/mnt/bin/reset_led
echo
/bin/cat /etc/motd;
/bin/date 2021.01.01-08:00

#mkdir -p /tmp/www
#cp -raf /mnt/apps/en_www/ /tmp/www
#/mnt/bin/httpd_3723 &

/mnt/bin/think-start.sh &

